Subject: Issue with GNU Shepherd make check
From: [email-masked]
To: [email-masked]
Date: Sun, 24 Sep 2017 16:47:58 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm trying to compile and install GNU Shepherd, as I'd like to try it out; however, when I run 'make check' as root, it reboots my machine within a few seconds (which isn't very helpful!). If I try 'make check' without root privileges, some other errors get thrown up.

I'm trying to compile on a very minimal 'Linux From Scratch' system on an x86_64 Apple Macbook (Core 2 Duo). I installed Guile beforehand, and that seemed to test ok. Basically, I want to try out Shepherd instead of the SysVinit that they recommend in LFS.

I'd like to try out Shepherd, but I'd be a bit reluctant to if I can't check the compiled files first.

Would be v grateful for any assistance.

Thanks!

Lee